org.wildfly.swarm.config.management.security_realm.authorization

## Class GroupToPrincipalGroupSearch<T extends GroupToPrincipalGroupSearch<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.security_realm.authorization.GroupToPrincipalGroupSearch<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class GroupToPrincipalGroupSearch<T extends GroupToPrincipalGroupSearch<T>>
      extends HashMap

  A group search where the group entry contains an attribute referencing it's members.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GroupToPrincipalGroupSearch.GroupToPrincipalGroupSearchResources` Child mutators for GroupToPrincipalGroupSearch
    `static class` | `GroupToPrincipalGroupSearch.SearchBy`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupToPrincipalGroupSearch()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `baseDn()` The starting point of the search for the group.
    `T` | `baseDn(String value)` The starting point of the search for the group.
    `T` | `byAccessTimeCache()` A cache to hold the results of previous LDAP interactions.
    `T` | `byAccessTimeCache(ByAccessTimeCache value)` A cache to hold the results of previous LDAP interactions.
    `T` | `byAccessTimeCache(ByAccessTimeCacheConsumer consumer)` A cache to hold the results of previous LDAP interactions.
    `T` | `byAccessTimeCache(ByAccessTimeCacheSupplier supplier)` A cache to hold the results of previous LDAP interactions.
    `T` | `bySearchTimeCache()` A cache to hold the results of previous LDAP interactions.
    `T` | `bySearchTimeCache(BySearchTimeCache value)` A cache to hold the results of previous LDAP interactions.
    `T` | `bySearchTimeCache(BySearchTimeCacheConsumer consumer)` A cache to hold the results of previous LDAP interactions.
    `T` | `bySearchTimeCache(BySearchTimeCacheSupplier supplier)` A cache to hold the results of previous LDAP interactions.
    `String` | `getKey()`
    `String` | `groupDnAttribute()` Which attribute on a group entry is it's distinguished name.
    `T` | `groupDnAttribute(String value)` Which attribute on a group entry is it's distinguished name.
    `GroupName` | `groupName()` An enumeration to identify if groups should be referenced using a simple name or their distinguished name.
    `T` | `groupName(GroupName value)` An enumeration to identify if groups should be referenced using a simple name or their distinguished name.
    `String` | `groupNameAttribute()` Which attribute on a group entry is it's simple name.
    `T` | `groupNameAttribute(String value)` Which attribute on a group entry is it's simple name.
    `Boolean` | `iterative()` Should further searches be performed to identify groups that the groups identified are a member of?
    `T` | `iterative(Boolean value)` Should further searches be performed to identify groups that the groups identified are a member of?
    `Boolean` | `preferOriginalConnection()` After following a referral should subsequent searches prefer the original connection or use the connection of the last referral.
    `T` | `preferOriginalConnection(Boolean value)` After following a referral should subsequent searches prefer the original connection or use the connection of the last referral.
    `String` | `principalAttribute()` The attribute on the group entry that references the principal.
    `T` | `principalAttribute(String value)` The attribute on the group entry that references the principal.
    `Boolean` | `recursive()` Should levels below the starting point be recursively searched?
    `T` | `recursive(Boolean value)` Should levels below the starting point be recursively searched?
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `GroupToPrincipalGroupSearch.SearchBy` | `searchBy()` Should searches be performed using simple names or distinguished names?
    `T` | `searchBy(GroupToPrincipalGroupSearch.SearchBy value)` Should searches be performed using simple names or distinguished names?
    `GroupToPrincipalGroupSearch.GroupToPrincipalGroupSearchResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### GroupToPrincipalGroupSearch

          public GroupToPrincipalGroupSearch()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public GroupToPrincipalGroupSearch.GroupToPrincipalGroupSearchResources subresources()

    - #### bySearchTimeCache

          public T bySearchTimeCache(BySearchTimeCache value)

      A cache to hold the results of previous LDAP interactions.

    - #### bySearchTimeCache

          public T bySearchTimeCache(BySearchTimeCacheConsumer consumer)

      A cache to hold the results of previous LDAP interactions.

    - #### bySearchTimeCache

          public T bySearchTimeCache()

      A cache to hold the results of previous LDAP interactions.

    - #### bySearchTimeCache

          public T bySearchTimeCache(BySearchTimeCacheSupplier supplier)

      A cache to hold the results of previous LDAP interactions.

    - #### byAccessTimeCache

          public T byAccessTimeCache(ByAccessTimeCache value)

      A cache to hold the results of previous LDAP interactions.

    - #### byAccessTimeCache

          public T byAccessTimeCache(ByAccessTimeCacheConsumer consumer)

      A cache to hold the results of previous LDAP interactions.

    - #### byAccessTimeCache

          public T byAccessTimeCache()

      A cache to hold the results of previous LDAP interactions.

    - #### byAccessTimeCache

          public T byAccessTimeCache(ByAccessTimeCacheSupplier supplier)

      A cache to hold the results of previous LDAP interactions.

    - #### baseDn

          public String baseDn()

      The starting point of the search for the group.

    - #### baseDn

          public T baseDn(String value)

      The starting point of the search for the group.

    - #### groupDnAttribute

          public String groupDnAttribute()

      Which attribute on a group entry is it's distinguished name.

    - #### groupDnAttribute

          public T groupDnAttribute(String value)

      Which attribute on a group entry is it's distinguished name.

    - #### groupName

          public GroupName groupName()

      An enumeration to identify if groups should be referenced using a simple name or their distinguished name.

    - #### groupName

          public T groupName(GroupName value)

      An enumeration to identify if groups should be referenced using a simple name or their distinguished name.

    - #### groupNameAttribute

          public String groupNameAttribute()

      Which attribute on a group entry is it's simple name.

    - #### groupNameAttribute

          public T groupNameAttribute(String value)

      Which attribute on a group entry is it's simple name.

    - #### iterative

          public Boolean iterative()

      Should further searches be performed to identify groups that the groups identified are a member of?

    - #### iterative

          public T iterative(Boolean value)

      Should further searches be performed to identify groups that the groups identified are a member of?

    - #### preferOriginalConnection

          public Boolean preferOriginalConnection()

      After following a referral should subsequent searches prefer the original connection or use the connection of the last referral.

    - #### preferOriginalConnection

          public T preferOriginalConnection(Boolean value)

      After following a referral should subsequent searches prefer the original connection or use the connection of the last referral.

    - #### principalAttribute

          public String principalAttribute()

      The attribute on the group entry that references the principal.

    - #### principalAttribute

          public T principalAttribute(String value)

      The attribute on the group entry that references the principal.

    - #### recursive

          public Boolean recursive()

      Should levels below the starting point be recursively searched?

    - #### recursive

          public T recursive(Boolean value)

      Should levels below the starting point be recursively searched?

    - #### searchBy

          public GroupToPrincipalGroupSearch.SearchBy searchBy()

      Should searches be performed using simple names or distinguished names?

    - #### searchBy

          public T searchBy(GroupToPrincipalGroupSearch.SearchBy value)

      Should searches be performed using simple names or distinguished names?

Copyright © 2018 JBoss by Red Hat. All rights reserved.